summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author klaatu <klaatu@member.fsf.org>2011-07-10 08:37:02 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 19:51:00 -0300
commit26bc370ad6a6e5cc9f8fa3952ca14300318291a8 (patch)
tree961d2d216304b4d0db7b9a2b377d04d4b6a243d8 /graphics
parent7950fb70c363ccdab2740dded7a2ace22ec908b3 (diff)
downloadslackbuilds-26bc370ad6a6e5cc9f8fa3952ca14300318291a8.tar.gz
slackbuilds-26bc370ad6a6e5cc9f8fa3952ca14300318291a8.tar.xz
graphics/GPS: Added (GIMP Paint Studio)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/GPS/GPS.SlackBuild46
-rw-r--r--graphics/GPS/GPS.info10
-rw-r--r--graphics/GPS/README8
-rw-r--r--graphics/GPS/slack-desc19
4 files changed, 83 insertions, 0 deletions
diff --git a/graphics/GPS/GPS.SlackBuild b/graphics/GPS/GPS.SlackBuild
new file mode 100644
index 0000000000..1d18826ba6
--- /dev/null
+++ b/graphics/GPS/GPS.SlackBuild
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Slackware build script for GIMP Paint Studio
+
+# Written by klaatu
+# klaatu at the domain of member.fsf.org
+
+PRGNAM=GPS
+VERSION=${VERSION:-1_5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM\ $VERSION_final\ release.zip
+unzip $CWD/$PRGNAM\ $VERSION\_final\ release.zip -d $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/gimp/2.0/
+cp -r brushes gradients palettes patterns tool-options $PKG/usr/share/gimp/2.0/
+cp *rc $PKG/usr/share/gimp/2.0/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/GPS/GPS.info b/graphics/GPS/GPS.info
new file mode 100644
index 0000000000..5bb12e0acc
--- /dev/null
+++ b/graphics/GPS/GPS.info
@@ -0,0 +1,10 @@
+PRGNAM="GPS"
+VERSION="1_5"
+HOMEPAGE="https://code.google.com/p/gps-gimp-paint-studio"
+DOWNLOAD="http://gps-gimp-paint-studio.googlecode.com/files/GPS%201_5_final%20release.zip"
+MD5SUM="cd1021e4d5a7ffdcdec62582b57a8ae7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
+APPROVED="Niels Horn"
diff --git a/graphics/GPS/README b/graphics/GPS/README
new file mode 100644
index 0000000000..f273a786a8
--- /dev/null
+++ b/graphics/GPS/README
@@ -0,0 +1,8 @@
+GIMP Paint Studio is a creative commons set of tool presets,
+brush presets, color swatches, patterns, and config files that will
+transform the GNU Image Manipulation Program into a robust painting and
+materials-emulation application. Great for painters, airbrushing and
+re-touching, and illustrators.
+
+Note that this will overwrite any config files you might already have
+in /usr/share/gimp/2.0 although it does back the old ones up just in case.
diff --git a/graphics/GPS/slack-desc b/graphics/GPS/slack-desc
new file mode 100644
index 0000000000..71af13c62b
--- /dev/null
+++ b/graphics/GPS/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+GPS: GPS (GIMP Paint Studio)
+GPS:
+GPS: Gimp Paint Studio is a set of tool and brush presets, patters, and
+GPS: color swatches that transforms the GNU Image Manipulation Program
+GPS: into a robust paint and materials-emulation application. Great for
+GPS: painters, illustrators, and even airbrushind and photo retouching.
+GPS:
+GPS: https://code.google.com/p/gps-gimp-paint-studio
+GPS:
+GPS:
+GPS: